import request from '@/utils/request'

// 查询巡检记录列表
export function listInspectionWork(query) {
	return request({
		url: '/device/inspectionWork/list',
		method: 'get',
		params: query
	});
}

// 查询巡检记录详细
export function getInspectionWork(orderId) {
	return request({
		url: '/device/inspectionWork/' + orderId,
		method: 'get'
		});
}

// 新增巡检记录
export function addInspectionWork(data) {
	return request({
		url: '/device/inspectionWork',
		method: 'post',
		data: data
	});
}

// 修改巡检记录
export function updateInspectionWork(data) {
	return request({
		url: '/device/inspectionWork',
		method: 'put',
		data: data
	});
}

// 删除巡检记录
export function delInspectionWork(orderId) {
	return request({
		url: '/device/inspectionWork/' + orderId,
		method: 'delete'
	});
}
